## cloc 1.60

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2012 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= cloc

DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

BIN		= $(PACKAGE)
PL_SCRIPT	= $(BIN)

INSTALL_OBJS_BIN = $(PL_SCRIPT)
INSTALL_OBJS_MAN = *.1

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644

all: man
	@echo "Nothing to compile for a Perl script."
	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"

# Rule: help - display Makefile rules
help:
	@grep "^# Rule:" Makefile | sort

# Rule: clean - remove temporary files
clean:
	# clean
	rm -f *[#~] *.\#* *.x~~ pod*.tmp *.1
	rm -rf tmp

distclean: clean

realclean: clean

# Rule: man - Generate or update manual page
man:
	make -f pod2man.mk PACKAGE=$(PACKAGE) makeman

# Rule: doc - Generate or update all documentation
doc: man

# Rule: test-perl - Check program syntax
test-perl:
	# perl-test - Check syntax
	perl -cw $(PL_SCRIPT)

# Rule: test-pod - Check POD syntax
test-pod:
	podchecker *.pod

# Rule: test - Run tests
test: test-perl test-pod

install-man: test-pod man
	# install-man
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin: test-perl
	# install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$${f%.pl}; \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install
install: install-bin install-man

# Rule: install-test - for Maintainer only
install-test:
	rm -rf tmp
	make DESTDIR=$$(pwd)/tmp prefix=/usr install
	find tmp | sort

# Rule: dist - for Maintainer only, make distribution
dist: clean
	[ -f version ] || fail-version-file-is-missing

	release=$(PACKAGE)-$$(cat version); \
	rm -rf /tmp/$$release ; \
	mkdir -vp /tmp/$$release ; \
	cp -rav . /tmp/$$release/ ; \
    find /tmp/$$release/ -type d \
      \( -name .svn -o -name .git -o -name .hg \) | xargs -r rm -r; \
	tar -C /tmp -zvcf /tmp/$$release.tar.gz $$release ; \
	echo "DONE: /tmp/$$release.tag.gz"

.PHONY: clean distclean realclean install install-bin install-man

# End of file

## cloc 1.09

=== debian/changelog ===
cloc (1.09-1) unstable; urgency=low

  * Initial release (Closes: #574247).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 18 Mar 2010 09:28:09 +0200

=== debian/control ===
Source: cloc
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/cloc.git
Vcs-Git: git://git.debian.org/git/collab-maint/cloc.git
Homepage: http://freshmeat.net/projects/cloc

Package: cloc
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libregexp-common-perl, libalgorithm-diff-perl
Description: statistics utility to count lines of code
 Count physical lines of source code in the given files (may be
 archives such as compressed tarballs or zip files) and/or
 recursively below the given directories.
 .
 Counts blank lines, comment lines, and physical lines of source code
 in many programming languages. It is written entirely in Perl, using
 only modules from the standard distribution.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = cloc
BINDIR  = debian/$(PACKAGE)/usr/bin
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

include debian/pod2man.mk

man:
	# convert *.pod to manual page
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) \
	MANSECT=1 PODCENTER=Devel makeman

# Run manaually to get an update
changelog:
	svn log https://cloc.svn.sourceforge.net/svnroot/cloc/trunk/cloc | \
		sed 's/[[:space:]]*$//'
		> debian/upstream.changelog

override_dh_auto_install: man
	install -D -m 755 *.pl $(BINDIR)/$(PACKAGE)

binary-indep: install
	# target: binary-indep -- Build architecture independent files
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installman
	dh_installchangelogs debian/upstream.changelog
	dh_perl
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

%:
	dh  $@

.PHONY: changelog man
.PHONY: binary binary-indep

# End of file

=== debian/watch ===
version=3
http://sf.net/cloc/cloc-(\d.+)\.pl

## cloc 1.53

=== debian/changelog ===
cloc (1.53-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): 3.9.1.
  * debian/patches
    - Delete all, not applicable for 1.53.
  * debian/rules
    - (CHANGELOG, BIN): New variables.
    - (binary-indep): Remove. Use plain dh(1).
    - (override_dh_installchangelogs): New.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 12 Oct 2010 00:51:46 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cloc.git
 Vcs-Git: git://git.debian.org/git/collab-maint/cloc.git
 Homepage: http://freshmeat.net/projects/cloc

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE 	= cloc
BIN		= $(PACKAGE)
BINDIR  	= debian/$(PACKAGE)/usr/bin
DOCDIR  	= debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc
CHANGELOG 	= debian/upstream.changelog

include debian/pod2man.mk

man:
	# convert *.pod to manual page
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) \
	MANSECT=1 PODCENTER=Devel makeman

# Run manaually to get an update
get-changelog:
	svn log https://cloc.svn.sourceforge.net/svnroot/cloc/trunk/cloc | \
		sed 's/[[:space:]]*$//' \
		> $(CHANGELOG)

override_dh_auto_install: man
	install -D -m 755 $(BIN) $(BINDIR)/$(PACKAGE)

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

binary: binary-indep

%:
	dh  $@

.PHONY: get-changelog man

# End of file

## cloc 1.55

=== debian/changelog ===
cloc (1.55-2) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): debhelper 9.
  * debian/patches
    - (10): New. Fix perl warning.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 15 Feb 2012 16:08:17 -0500

cloc (1.55-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP5.
  * debian/copyright-update.debhelper.log
    - Remove; unnecessary.
  * debian/rules
    - (get-changelog): Fix typo in sed command.
  * debian/upstream.changelog
    - Update.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 15 Feb 2012 16:06:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cloc.git
 Vcs-Git: git://git.debian.org/git/collab-maint/cloc.git
 Homepage: http://freshmeat.net/projects/cloc

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # Run manaually to get an update
 get-changelog:
 	svn log https://cloc.svn.sourceforge.net/svnroot/cloc/trunk/cloc | \
-		sed 's/[[:space:]]*$//' \
+		sed 's/[[:space:]]*$$//' \
 		> $(CHANGELOG)
 
 override_dh_auto_install: man

## cloc 1.56

=== debian/changelog ===
cloc (1.56-1) unstable; urgency=low

  * New upstream release
    - Includes fix for: Can't call method "pascal_files" (Closes: #677478).
  * debian/control
    - (Standards-Version): Update to 3.9.3.
  * debian/copyright
    - (Format): Point URL to 1.0.
  * debian/patches
    - Remove 10 (all). Accepted upstream.
  * debian/upstream.changelog
    - Update from upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Jun 2012 10:53:47 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cloc.git
 Vcs-Git: git://git.debian.org/git/collab-maint/cloc.git
 Homepage: http://freshmeat.net/projects/cloc

=== debian/watch ===
version=3
http://sf.net/cloc/cloc-([\d.]+)\.pl

## cloc 1.58

=== debian/changelog ===
cloc (1.58-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Update year.
  * debian/control
    - (Standards-Version): 3.9.4.
  * debian/{pod2man.mk,cloc.1.pod}
    - Delete. Accepted upstream.
  * debian/rules
    - (man): Remove target. Manual page accepted upstream.
    - (override_dh_auto_build): New.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 15 Mar 2013 09:16:20 +0200

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE 	= cloc
BIN		= $(PACKAGE)
BINDIR  	= debian/$(PACKAGE)/usr/bin
DOCDIR  	= debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc
CHANGELOG 	= debian/upstream.changelog

# Run manaually to get an update
get-changelog:
	svn log https://cloc.svn.sourceforge.net/svnroot/cloc/trunk/cloc | \
		sed 's/[[:space:]]*$$//' \
		> $(CHANGELOG)

override_dh_auto_build:
	# If packaged directly from upstream VCS tree
	[ -f $(PACKAGE).1 ] || $(MAKE) man

override_dh_auto_install:
	install -D -m 755 $(BIN) $(BINDIR)/$(PACKAGE)

override_dh_installchangelogs:
	dh_installchangelogs $(CHANGELOG)

binary: binary-indep

%:
	dh  $@

.PHONY: get-changelog

# End of file

## cloc 1.60

=== debian/changelog ===
cloc (1.60-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a patch fixing usage of 'defined(@array)' and unescaped left brace in
    regular expressions
    Closes: #788891 -- FTBFS with perl 5.22

 -- Damyan Ivanov <dmn@debian.org>  Fri, 24 Jul 2015 10:17:56 +0000

cloc (1.60-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
    - Update years.
  * debian/rules
    - (get-changelog): Update URL.
  * debian/upstream.changelog
    - Sync with release.
  * debian/watch
    - Update regexp from *.pl to *.tar.gz.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Aug 2013 07:51:51 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=collab-maint/cloc.git
 Vcs-Git: git://git.debian.org/git/collab-maint/cloc.git
 Homepage: http://freshmeat.net/projects/cloc

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Run manaually to get an update
 get-changelog:
-	svn log https://cloc.svn.sourceforge.net/svnroot/cloc/trunk/cloc | \
+	svn log https://svn.code.sf.net/p/cloc/code | \
 		sed 's/[[:space:]]*$$//' \
 		> $(CHANGELOG)

## cloc 1.68

=== Unix/Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2012 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= cloc

DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

BIN		= $(PACKAGE)
PL_SCRIPT	= $(BIN)

INSTALL_OBJS_BIN = $(PL_SCRIPT)
INSTALL_OBJS_MAN = *.1

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644

all: man
	@echo "Nothing to compile for a Perl script."
	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"

# Rule: help - display Makefile rules
help:
	@grep "^# Rule:" Makefile | sort

# Rule: clean - remove temporary files
clean:
	# clean
	rm -f *[#~] *.\#* *.x~~ pod*.tmp *.1
	rm -rf tmp

distclean: clean

realclean: clean

# Rule: man - Generate or update manual page
man:
	make -f pod2man.mk PACKAGE=$(PACKAGE) makeman

# Rule: doc - Generate or update all documentation
doc: man

# Rule: test-perl - Check program syntax
test-perl:
	# perl-test - Check syntax
	perl -cw $(PL_SCRIPT)

# Rule: test-pod - Check POD syntax
test-pod:
	podchecker *.pod

# Rule: test-code - Check that the counter works
test-code:
	t/00_C.t
	t/01_opts.t

# Rule: test - Run tests
test: test-perl test-pod test-code

install-man: test-pod man
	# install-man
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin: test-perl
	# install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$${f%.pl}; \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install
install: install-bin install-man

# Rule: install-test - for Maintainer only
install-test:
	rm -rf tmp
	make DESTDIR=$$(pwd)/tmp prefix=/usr install
	find tmp | sort

# Rule: dist - for Maintainer only, make distribution
dist: clean
	[ -f version ] || fail-version-file-is-missing

	release=$(PACKAGE)-$$(cat version); \
	rm -rf /tmp/$$release ; \
	mkdir -vp /tmp/$$release ; \
	cp -rav . /tmp/$$release/ ; \
    find /tmp/$$release/ -type d \
      \( -name .svn -o -name .git -o -name .hg \) | xargs -r rm -r; \
	tar -C /tmp -zvcf /tmp/$$release.tar.gz $$release ; \
	echo "DONE: /tmp/$$release.tag.gz"

.PHONY: clean distclean realclean install install-bin install-man

# End of file

=== debian/changelog ===
cloc (1.68-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #823949, #802750).
  * Add patch from DKG to make package reproducible (Closes: #787669).
  * Remove patch for perl 5.22 since it was fixed upstream.
  * Corrected VCS and homepage links in control and copyright files.
  * Updated Standards-Versions (Nothing to change).
  * Wrap-and-sorted.

 -- Orestis Ioannou <orestis@oioannou.com>  Sun, 12 Jun 2016 23:25:18 +0200

## cloc 1.70

=== debian/changelog ===
cloc (1.70-1) unstable; urgency=medium

  * New upstream release.
  * ACK NMU, thanks Orestis.
  * debian/control
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Oct 2016 17:38:28 +0300

=== debian/control ===
Source: cloc
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends:
 debhelper (>= 9),
 libalgorithm-diff-perl,
 libregexp-common-perl,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cloc.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/cloc.git
Homepage: https://github.com/AlDanial/cloc

Package: cloc
Architecture: all
Depends:
 libalgorithm-diff-perl,
 libregexp-common-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: statistics utility to count lines of code
 Count physical lines of source code in the given files (may be
 archives such as compressed tarballs or zip files) and/or
 recursively below the given directories.
 .
 Counts blank lines, comment lines, and physical lines of source code
 in many programming languages. It is written entirely in Perl, using
 only modules from the standard distribution.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE 	= cloc
BIN			= $(PACKAGE)
BINDIR  	= debian/$(PACKAGE)/usr/bin
DOCDIR  	= debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc
PODDATE=$(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%Y-%m-%d" -f -)
export PODDATE

override_dh_auto_build:
	rm -f $(PACKAGE)/Unix/$(PACKAGE).1
	cd Unix && $(MAKE) man

override_dh_auto_install:
	install -D -m 755 Unix/$(BIN) $(BINDIR)/$(PACKAGE)

override_dh_installchangelogs:
	dh_installchangelogs Unix/NEWS


override_dh_auto_test:
	cd Unix && make test

binary: binary-indep

%:
	dh  $@

## cloc 1.74

=== Unix/Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 
 # Rule: man - Generate or update manual page
 man:
-	make -f pod2man.mk PACKAGE=$(PACKAGE) makeman
+	$(MAKE) -f pod2man.mk PACKAGE=$(PACKAGE) makeman
 
 # Rule: doc - Generate or update all documentation
 doc: man
@@ -120,7 +120,7 @@
 # Rule: install-test - for Maintainer only
 install-test:
 	rm -rf tmp
-	make DESTDIR=$$(pwd)/tmp prefix=/usr install
+	$(MAKE) DESTDIR=$$(pwd)/tmp prefix=/usr install
 	find tmp | sort
 
 # Rule: dist - for Maintainer only, make distribution

=== debian/changelog ===
cloc (1.74-1) unstable; urgency=medium

  * New upstream version 1.74
  * Use debhelper 11
  * Add tmancill@debian.org to Uploaders
  * Bump Standards-Version to 4.1.3
  * Add patch to ignore tests that expect upstream git repo
  * Freshen debian/copyright

 -- tony mancill <tmancill@debian.org>  Fri, 02 Feb 2018 21:05:29 -0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
+Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libalgorithm-diff-perl,
  libregexp-common-perl,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cloc.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/cloc.git
 Homepage: https://github.com/AlDanial/cloc

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 PACKAGE 	= cloc
-BIN			= $(PACKAGE)
+BIN		= $(PACKAGE)
 BINDIR  	= debian/$(PACKAGE)/usr/bin
 DOCDIR  	= debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc
 PODDATE=$(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%Y-%m-%d" -f -)
@@ -17,7 +17,6 @@
 override_dh_installchangelogs:
 	dh_installchangelogs Unix/NEWS
 
-
 override_dh_auto_test:
 	cd Unix && make test

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cloc-$1\.tar\.gz/ \
  https://github.com/AlDanial/cloc/tags .*/v?(\d\S*)\.tar\.gz

## cloc 1.76

=== debian/changelog ===
cloc (1.76-1) unstable; urgency=medium

  * New upstream version 1.76
  * Update Vcs fields for migration from Alioth -> Salsa
  * Update debian/watch to use xz compression
  * Bump Standards-Version to 4.1.4
  * Add dependency and build-dep on libparallel-forkmanager-perl

 -- tony mancill <tmancill@debian.org>  Sun, 22 Apr 2018 14:16:30 -0700

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,18 @@
 Build-Depends:
  debhelper (>= 11),
  libalgorithm-diff-perl,
+ libparallel-forkmanager-perl,
  libregexp-common-perl,
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cloc.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cloc.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/cloc
+Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc
 
 Package: cloc
 Architecture: all
 Depends:
  libalgorithm-diff-perl,
+ libparallel-forkmanager-perl,
  libregexp-common-perl,
  ${misc:Depends},
  ${perl:Depends},

## cloc 1.80

=== debian/changelog ===
cloc (1.80-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ tony mancill ]
  * New upstream version 1.80 (Closes: #903737)
  * Bump Standards-Version to 4.3.0
  * Add patch to fix Perl interpreter path as per Debian policy 10.4
  * Refresh patch to disable git tests requiring a cloned upstream repo
  * Freshen debian/copyright years
  * Use /usr/share/dpkg/pkg-info.mk variable for PODDATE
  * Check DEB_BUILD_OPTIONS before running tests

 -- tony mancill <tmancill@debian.org>  Sun, 24 Feb 2019 18:27:08 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libalgorithm-diff-perl,
  libparallel-forkmanager-perl,
  libregexp-common-perl,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

## cloc 1.82

=== debian/changelog ===
cloc (1.82-1) unstable; urgency=medium

  * New upstream version 1.82
  * Bump Standards-Version to 4.4.0
  * Use debhelper 12
  * Freshen years in debian/copyright
  * Refresh patches for new upstream release
  * Add unzip to build-deps (used during tests)

 -- tony mancill <tmancill@debian.org>  Sun, 07 Jul 2019 19:54:29 -0700

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  libalgorithm-diff-perl,
  libparallel-forkmanager-perl,
  libregexp-common-perl,
-Standards-Version: 4.3.0
+ unzip
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

## cloc 1.86

=== debian/changelog ===
cloc (1.86-1) unstable; urgency=medium

  * New upstream version 1.86
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.0
  * Refresh patches against new upstream version
  * Freshen debian/copyright
  * Set "Rules-Requires-Root: no" in debian/control

 -- tony mancill <tmancill@debian.org>  Sun, 05 Jul 2020 21:22:06 -0700

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Uploaders: tony mancill <tmancill@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper-compat (= 13),
  libalgorithm-diff-perl,
  libparallel-forkmanager-perl,
  libregexp-common-perl,
  unzip
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc
+Rules-Requires-Root: no
 
 Package: cloc
 Architecture: all

## cloc 1.90

=== debian/changelog ===
cloc (1.90-1) unstable; urgency=medium

  * New upstream version 1.90
  * Freshen debian/copyright
  * Bump Standards-Version to 4.5.1

 -- tony mancill <tmancill@debian.org>  Sun, 15 Aug 2021 20:17:41 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libparallel-forkmanager-perl,
  libregexp-common-perl,
  unzip
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 PACKAGE 	= cloc
 BIN		= $(PACKAGE)
 BINDIR  	= debian/$(PACKAGE)/usr/bin
 DOCDIR  	= debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc
-PODDATE=$(shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%Y-%m-%d" -f -)
+PODDATE		= $(shell date --date=@$(SOURCE_DATE_EPOCH) -u "+%Y-%m-%d")
 export PODDATE
 
 override_dh_auto_build:
@@ -18,7 +20,9 @@
 	dh_installchangelogs Unix/NEWS
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd Unix && make test
+endif
 
 binary: binary-indep

## cloc 1.92

=== debian/changelog ===
cloc (1.92-1) unstable; urgency=medium

  * New upstream version 1.92
  * Bump Standards-Version to 4.6.0

 -- tony mancill <tmancill@debian.org>  Tue, 22 Mar 2022 20:12:10 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libparallel-forkmanager-perl,
  libregexp-common-perl,
  unzip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

## cloc 1.94

=== debian/changelog ===
cloc (1.94-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit
    Repository, Repository-Browse.

  [ tony mancill ]
  * New upstream version 1.94
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sat, 09 Jul 2022 21:47:56 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libparallel-forkmanager-perl,
  libregexp-common-perl,
  unzip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

## cloc 1.96

=== debian/changelog ===
cloc (1.96-1) unstable; urgency=medium

  * New upstream version 1.96
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Thu, 29 Dec 2022 07:08:07 -0800

## cloc 1.96.1

=== debian/changelog ===
cloc (1.96.1-1) unstable; urgency=medium

  * New upstream version 1.96.1
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Sun, 30 Jul 2023 21:19:18 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libparallel-forkmanager-perl,
  libregexp-common-perl,
  unzip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

## cloc 1.98

=== debian/changelog ===
cloc (1.98-1) unstable; urgency=medium

  * New upstream version 1.98
  * Update Maintainer field (Closes: #920103)
  * Clean up after tests to permit rebuild (Closes: #1043679)
  * Remove stray "binary" target in debian/rules

 -- tony mancill <tmancill@debian.org>  Tue, 19 Sep 2023 10:22:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cloc
 Section: devel
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Uploaders: tony mancill <tmancill@debian.org>
+Maintainer: tony mancill <tmancill@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libalgorithm-diff-perl,

## cloc 2.00

=== debian/changelog ===
cloc (2.00-1) unstable; urgency=medium

  * New upstream version 2.00
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.7.0

 -- tony mancill <tmancill@debian.org>  Sun, 23 Jun 2024 19:53:33 -0700

## cloc 2.02

=== debian/changelog ===
cloc (2.02-1) unstable; urgency=medium

  * New upstream version 2.02

 -- tony mancill <tmancill@debian.org>  Sun, 18 Aug 2024 11:41:27 -0700

## cloc 2.04

=== Unix/Makefile ===
--- 
+++ 
@@ -95,6 +95,7 @@
 # Rule: test-code - Check that the counter works
 test-code:
 	t/00_C.t
+	t/02_git.t
 	t/01_opts.t
 
 # Rule: test - Run tests

=== debian/changelog ===
cloc (2.04-1) unstable; urgency=medium

  * New upstream version 2.04
  * Refresh patches
  * Freshen years in debian/copyright

 -- tony mancill <tmancill@debian.org>  Sun, 09 Feb 2025 19:42:34 -0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libparallel-forkmanager-perl,
  libregexp-common-perl,
  unzip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

## cloc 2.06

=== Unix/Makefile ===
--- 
+++ 
@@ -98,7 +98,13 @@
 	t/02_git.t
 	t/01_opts.t
 
-# Rule: test - Run tests
+# Rule: test-unix - Check that the Unix version works
+test-unix:
+	t/00_C.t -u
+	t/02_git.t -u
+	t/01_opts.t -u
+
+# Rule: test - Run tests (exclude test-unix)
 test: test-perl test-pod test-code
 
 install-man: test-pod man

=== tests/inputs/Makefile ===
############################################################################
#
#  Program:         ARPACK
#
#  Module:          Makefile
#
#  Purpose:         Sources Makefile
#
#  Creation date:   February 22, 1996
#
#  Modified:a       September 9, 1996
#
#  Send bug reports, comments or suggestions to arpack.caam.rice.edu
#
############################################################################
#\SCCS Information: @(#) 
# FILE: Makefile   SID: 2.2   DATE OF SID: 9/24/96   RELEASE: 2
 
include ../ARmake.inc
 
############################################################################
#  To create or add to the library, enter make followed by one or
#  more of the precisions desired.  Targets sdrv, ddrv, cdrv,
#  zdrv are used to add to the library LAPACK routines needed by driver
#  programs in the EXAMPLES directory.
#
#  Some examples:
#       make single
#       make single sdrv
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library also contains all extra BLAS routines used by driver
#  programs in the EXAMPLES directory.
#
#  The name of the library is defined by $(ARPACKLIB) in
#  ../ARmake.inc and is created at the next higher directory level.
#
#
SOBJ  = sgeqr2.o slabad.o slacon.o slacpy.o sladiv.o slae2.o slaev2.o\
        slaexc.o slagtm.o slahqr.o slaln2.o slamch.o slange.o slanhs.o\
        slanst.o slanv2.o slaptm.o slapy2.o slapy3.o slaran.o slarf.o\
        slarfg.o slarfx.o slarnd.o slarnv.o slartg.o slaruv.o slascl.o\
        slaset.o slasr.o  slasrt.o slassq.o slasy2.o sorm2r.o ssteqr.o\
        strevc.o strexc.o strsen.o strsyl.o

DOBJ  = dgeqr2.o dlabad.o dlacon.o dlacpy.o dladiv.o dlae2.o dlaev2.o\
        dlaexc.o dlagtm.o dlahqr.o dlaln2.o dlamch.o dlange.o dlanhs.o\
        dlanst.o dlanv2.o dlaptm.o dlapy2.o dlapy3.o dlaran.o dlarf.o\
        dlarfg.o dlarfx.o dlarnd.o dlarnv.o dlartg.o dlaruv.o dlascl.o\
        dlaset.o dlasr.o  dlasrt.o dlassq.o dlasy2.o dorm2r.o dsteqr.o\
        dtrevc.o dtrexc.o dtrsen.o dtrsyl.o

IOBJ  = ilaenv.o lsame.o lsamen.o xerbla.o xlaenv.o

CIOBJ = icmax1.o 

ZIOBJ = izmax1.o

COBJ  = cgeqr2.o clacon.o clacpy.o cladiv.o clahqr.o clange.o clanhs.o\
        clarf.o  clarfg.o clarnv.o clartg.o clascl.o claset.o classq.o\
        clatrs.o cmach.o  crot.o   ctrevc.o ctrexc.o ctrsen.o ctrsyl.o\
        cunm2r.o\
        scsum1.o slabad.o sladiv.o slamch.o slapy2.o slapy3.o slaruv.o

ZOBJ  = zgeqr2.o zlacon.o zlacpy.o zladiv.o zlahqr.o zlange.o zlanhs.o\
        zlarf.o  zlarfg.o zlarnv.o zlartg.o zlascl.o zlaset.o zlassq.o\
        zlatrs.o zmach.o  zrot.o   ztrevc.o ztrexc.o ztrsen.o ztrsyl.o\
        zunm2r.o\
        dzsum1.o dlabad.o dladiv.o dlamch.o dlapy2.o dlapy3.o dlaruv.o
#
# The following LAPACK routines are not needed by ARPACK
# source code.  They are used by the drivers in EXAMPLES
# directory.
#
SDRVOBJ = sgbtf2.o sgbtrf.o sgbtrs.o sgttrf.o sgttrs.o spttrf.o spttrs.o\
          slaswp.o  

DDRVOBJ = dgbtf2.o dgbtrf.o dgbtrs.o dgttrf.o dgttrs.o dpttrf.o dpttrs.o\
          dlaswp.o

CDRVOBJ = cgbtf2.o cgbtrf.o cgbtrs.o cgttrf.o cgttrs.o claswp.o clacgv.o

ZDRVOBJ = zgbtrf.o zgbtrs.o zgbtf2.o zgttrf.o zgttrs.o zlaswp.o zlacgv.o

.SUFFIXES:      .o .F .f

.f.o:
	$(FC) $(FFLAGS) -c $<

all: single double complex complex16 sdrv ddrv cdrv zdrv
 
single: $(SOBJ) $(IOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SOBJ) $(IOBJ)
	$(RANLIB) $(ARPACKLIB)
 
double: $(DOBJ) $(IOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DOBJ) $(IOBJ)
	$(RANLIB) $(ARPACKLIB)

complex: $(COBJ) $(CIOBJ) $(IOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(COBJ) $(CIOBJ) $(IOBJ)
	$(RANLIB) $(ARPACKLIB)

complex16: $(ZOBJ) $(ZIOBJ) $(IOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(ZOBJ) $(ZIOBJ) $(IOBJ)
	$(RANLIB) $(ARPACKLIB) 
#
# Add routines needed by driver programs (in the EXAMPLES
# directory) to $(ARPACKLIB).
#
sdrv: $(SDRVOBJ) $(CDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(SDRVOBJ) $(CDRVOBJ)
	$(RANLIB) $(ARPACKLIB)

ddrv: $(DDRVOBJ) $(ZDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(DDRVOBJ) $(ZDRVOBJ)
	$(RANLIB) $(ARPACKLIB)

cdrv: $(CDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(CDRVOBJ)
	$(RANLIB) $(ARPACKLIB)

zdrv: $(ZDRVOBJ)
	$(AR) $(ARFLAGS) $(ARPACKLIB) $(ZDRVOBJ)
	$(RANLIB) $(ARPACKLIB)

#  clean	- remove all object files
#
clean:
	rm -f *.o a.out core

=== debian/changelog ===
cloc (2.06-1) unstable; urgency=medium

  * New upstream version 2.06
  * Refresh patches
  * Bump Standards-Version to 4.7.2

 -- tony mancill <tmancill@debian.org>  Fri, 15 Aug 2025 21:13:31 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libparallel-forkmanager-perl,
  libregexp-common-perl,
  unzip
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/cloc
 Vcs-Git: https://salsa.debian.org/debian/cloc.git
 Homepage: https://github.com/AlDanial/cloc

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,11 @@
 	cd Unix && make test
 endif
 
-binary: binary-indep
+override_dh_auto_clean:
+	# clean up after tests; unfortunately, this will be brittle
+	rm -f tests/inputs/issues/540/hello.f
+	rm -f tests/inputs/issues/132/ignore_git/hi.py
+	dh_auto_clean
 
 %:
 	dh  $@

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cloc-$1\.tar\.gz/,\
      repack,\
      compression=xz" \
https://github.com/AlDanial/cloc/tags .*/v?(\d\S*)\.tar\.gz
